@Echo off
Echo Welcome to the DOOM 32 menu. Choose an option:
Echo 1. Read the DOOM 32 text file
Echo 2. Read CREATORS.TXT
Echo 3. PLAY DOOM32!!
Echo 4. Quit to DOS
Echo Speak now, or forever hold your peace
CHOICE /C1234

IF ERRORLEVEL 4 GOTO DOSPROMPT
IF ERRORLEVEL 3 GOTO DOOM32
IF ERRORLEVEL 2 GOTO CREATORS
IF ERRORLEVEL 1 GOTO READTEXT

:READTEXT
TYPE DOOM32.TXT |MORE
PAUSE
DOOM32
:END

:CREATORS
TYPE CREATORS.TXT |MORE
PAUSE
DOOM32
:END

:DOOM32
DOOM2 -FILE DOOM32.WAD -DEVPARM
DOOM32
:END

:DOSPROMPT
Echo Remember to visit the DOOM 32 Official site at:
Echo http://www.netins.net/showcase/ironlich/32/
:END
